# Interface FormSubmitMethod<FormSate, Context, Initial>

interface FormSubmitMethod<FormSate = any, Context = any, Initial = any> {
metadata?: any;
call(
parameters: FormSate,
context?: null | Context,
initial?: null | Initial,
): any;
}

#### Type Parameters

- FormSate = any
- Context = any
- Initial = any

#### Hierarchy

- MethodWithParameters<any, FormSate>
  - FormSubmitMethod

- Defined in packages/angular/forms/src/lib/directives/models.ts:6

#####
Index

### Properties

metadata?

### Methods

call

##
Properties

### `Optional` metadata

metadata?: any

Inherited from MethodWithParameters.metadata

- Defined in packages/pattern/src/lib/meta-data.ts:2

##
Methods

### call

- call(
  parameters: FormSate,
  context?: null | Context,
  initial?: null | Initial,
  ): any

  #### Parameters

  - parameters: FormSate
  - `Optional` context: null | Context
  - `Optional` initial: null | Initial

  #### Returns any

  Overrides MethodWithParameters.call

  - Defined in packages/angular/forms/src/lib/directives/models.ts:7